Summary:	A lightweight display manager
Summary(hu.UTF-8):	Egy könnyűsúlyú bejelentkezéskezelő
Name:		lightdm
Version:	1.7.12
Release:	4
# library/bindings are LGPLv2 or LGPLv3, the rest GPLv3+
License:	(LGPLv2 or LGPLv3) and GPLv3+
Group:		X11/Applications
Source0:	https://launchpad.net/lightdm/1.7/%{version}/+download/%{name}-%{version}.tar.xz
# Source0-md5:	73d6a917ed667a45c194df6c4f270b80
Source1:	%{name}.pamd
Patch0:		config.patch
Patch1:		upstart-path.patch
Patch2:		lightdm-nodaemon_option.patch
URL:		http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	autoconf
BuildRequires:	dbus-glib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.24
BuildRequires:	gtk-doc
BuildRequires:	gtk-webkit-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libgcrypt-devel
BuildRequires:	libtool
BuildRequires:	libxklavier-devel
BuildRequires:	pam-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	/usr/bin/X
Requires:	dbus-x11
Requires:	lightdm-greeter
Requires:	xinitrc-ng >= 1.1-2
Provides:	XDM
Provides:	group(xdm)
Provides:	user(xdm)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An X display manager that:
 - Has a lightweight codebase
 - Is standards compliant (PAM, ConsoleKit, etc)
 - Has a well defined interface between the server and user interface
 - Fully themeable (easiest with the webkit interface)
 - Cross-desktop (greeters can be written in any toolkit)

%description -l hu.UTF-8
Egy X bejelentkezéskezelő, amely:
 - pehelysúlyú kóddal rendelkezik
 - követi a standardokat (PAM, ConsoleKit, stb.)
 - jól-definiált felület a szerver és a felhasználói felület között
 - teljesen témázható (a legkönnyebb a webkit felülettel)
 - desktop-független (üdvözlők bármilyen eszközkészlettel írhatók)

%package libs-gobject
Summary:	LightDM GObject client library
Group:		Libraries
Obsoletes:	lightdm-libs < 1.7.0-0.6

%description libs-gobject
This package contains a GObject based library for LightDM clients to
use to interface with LightDM.

%package libs-gobject-devel
Summary:	Development files for %{name}-gobject
Group:		Development/Libraries
Group:		Libraries
Requires:	%{name}-libs-gobject = %{version}-%{release}

%description libs-gobject-devel
This package contains development files for a GObject based library
for LightDM clients to use to interface with LightDM.

%package libs-qt
Summary:	LightDM Qt client library
Group:		Libraries
Conflicts:	lightdm-libs < 1.7.0-0.6

%description libs-qt
This package contains a Qt based library for LightDM clients to use to
interface with LightDM.

%package libs-qt-devel
Summary:	Development files for %{name}-qt
Group:		Development/Libraries
Requires:	%{name}-libs-qt = %{version}-%{release}

%description libs-qt-devel
This package contains development files for a Qt based library for
LightDM clients to use to interface with LightDM.

%package apidocs
Summary:	lightdm API documentation
Group:		Documentation

%description apidocs
lightdm API documentation.

%package upstart
Summary:	Upstart job for lightdm
Summary(hu.UTF-8):	Upstart támogatás lightdm-hez
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job for lightdm.

%description upstart -l hu.UTF-8
Upstart támogatás lightdm-hez.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__gtkdocize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--disable-tests \
	--enable-liblightdm-qt \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc \
	--with-greeter-session=lightdm-gtk-greeter \
	--with-greeter-user=xdm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{pam.d,security,init,dbus-1/system.d} \
	$RPM_BUILD_ROOT/home/services/xdm \
	$RPM_BUILD_ROOT%{_datadir}/xgreeters \
	$RPM_BUILD_ROOT%{_datadir}/lightdm/remote-sessions \
	$RPM_BUILD_ROOT/var/{log,cache}/lightdm

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/lightdm
touch $RPM_BUILD_ROOT/etc/security/blacklist.lightdm
cp -p data/init/%{name}.conf $RPM_BUILD_ROOT/etc/init

# We don't ship AppAmor
rm -rv $RPM_BUILD_ROOT%{_sysconfdir}/apparmor.d

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{lb,wae}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 55 -r -f xdm
%useradd -u 55 -r -d /home/services/xdm -s /bin/false -c "X Display Manager" -g xdm xdm

%post	libs-gobject -p /sbin/ldconfig
%postun	libs-gobject -p /sbin/ldconfig

%post	libs-qt -p /sbin/ldconfig
%postun	libs-qt -p /sbin/ldconfig

%post upstart
%upstart_post lightdm

%postun upstart
%upstart_postun lightdm

if [ "$1" = "0" ]; then
	%userremove xdm
	%groupremove xdm
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/keys.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/users.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/lightdm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/lightdm-autologin
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/lightdm-greeter
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.lightdm
/etc/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%attr(755,root,root) %{_bindir}/dm-tool
%attr(755,root,root) %{_sbindir}/lightdm
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/gdmflexiserver
%attr(755,root,root) %{_libdir}/%{name}/lightdm-guest-session-wrapper
%attr(755,root,root) %{_libdir}/%{name}/lightdm-set-defaults
%{_libdir}/girepository-1.0/LightDM-1.typelib
%dir %{_datadir}/xgreeters
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/remote-sessions
%{_mandir}/man1/lightdm*
%dir %attr(710,root,root) /var/cache/lightdm
%dir %attr(710,root,root) /var/log/lightdm
%dir %attr(750,xdm,xdm) /home/services/xdm

%files libs-gobject
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblightdm-gobject-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblightdm-gobject-1.so.0

%files libs-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblightdm-qt-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblightdm-qt-3.so.0

%files libs-gobject-devel
%defattr(644,root,root,755)
%{_datadir}/gir-1.0/LightDM-1.gir
%{_includedir}/lightdm-gobject-1
%{_pkgconfigdir}/liblightdm-gobject-1.pc
%{_libdir}/liblightdm-gobject-1.la
%attr(755,root,root) %{_libdir}/liblightdm-gobject-1.so
# -vala
%{_datadir}/vala/vapi/liblightdm-gobject-1.vapi

%files libs-qt-devel
%defattr(644,root,root,755)
%{_libdir}/liblightdm-qt-3.la
%attr(755,root,root) %{_libdir}/liblightdm-qt-3.so
%{_includedir}/lightdm-qt-3
%{_pkgconfigdir}/liblightdm-qt-3.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/lightdm-gobject-1

%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%changelog
* Mon Dec 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lightdm.git;a=log;h=master

* Mon Dec 30 2013 Jan Rękorajski <baggins@pld-linux.org> 19a0fba
- release 4 (by relup.sh)

* Mon Dec 30 2013 Jan Rękorajski <baggins@pld-linux.org> f320953
- don't bail out if unknown option is provided (-nodaemon issue in prefdm script)
- updated BRs
- rel 3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a3d966
- release 2 (by relup.sh)

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 9e84816
- requires xinitrc-ng with lightdm hack

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 6e09f93
- requires xinitrc-ng for session init

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 4f2b815
- patch config to have EXISTING script for session-wrapper (lightdm-session does not exist in pld)

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 0e15dcb
- up to 1.7.12

* Tue Aug 06 2013 Jan Rękorajski <baggins@pld-linux.org> 23abd78
- fix library name and paths in lightdm-qt pkgconfigs
- rel 2

* Wed Jul 24 2013 Jan Rękorajski <baggins@pld-linux.org> 5cca5f9
- rel 1

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> 8b52877
- split gobject/gtk libs; skip static libs

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> 8028cf2
- package /usr/share/lightdm/remote-sessions

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> d27af43
- package /var/cache/lightdm

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> eccfdb7
- up to 1.7.0

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> eff0aae
- up to 1.6.0

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> 26ddca3
- requires xserver like gdm and other dm

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> e8d8d6a
- requires dbus-x11, unpackage apparmor

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> a84ee4b
- up to 1.5.0

* Tue Jan 22 2013 Bartlomiej Zimon <uzi18@o2.pl> 1590746
- up to 1.4.0; BR:yelp-tools,itstool

* Sun Mar 18 2012 Elan Ruusamäe <glen@pld-linux.org> e476a33
- P: XDM

* Fri Mar 02 2012 Elan Ruusamäe <glen@pld-linux.org> c0be688
- up to 1.1.4

